%include	/usr/lib/rpm/macros.php
%define		php_min_version 5.0.0
%define		module		sphinx_search
Summary:	Sphinx Fulltext-Search Module
Name:		phorum-mod-%{module}
Version:	1.1
Release:	3
License:	Apache-like
Group:		Applications/WWW
Source0:	http://download.github.com/glensc-phorum-%{module}-%{version}-0-g20786ed.tar.gz
# Source0-md5:	74498f460023d41c1d44ac6fca6518d5
URL:		http://www.phorum.org/phorum5/read.php?62,136982,138325
BuildRequires:	rpm-php-pearprov
BuildRequires:	rpmbuild(macros) >= 1.553
Requires:	phorum >= 5.2
Requires:	php(pcre)
Requires:	php(sphinx)
Requires:	php-date
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		modsdir		%{_datadir}/phorum/mods
%define		moduledir	%{modsdir}/%{module}

# no pear deps
%define		_noautopear	pear

# exclude optional php dependencies
%define		_noautophp	%{nil}

# put it together for rpmbuild
%define		_noautoreq	%{?_noautophp} %{?_noautopear}

%description
Module for using sphinx as fulltext search-engine instead of phorum
built-in search.

%prep
%setup -qc
mv *-%{module}-*/* .

# php-sphinx (native) or php-pecl-sphinx (extension)
rm sphinxapi.php

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{moduledir}
cp -a *.txt *.php $RPM_BUILD_ROOT%{moduledir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README Changelog sphinx.conf sph_counter.sql crontab
%dir %{moduledir}
%{moduledir}/*.php
%{moduledir}/info.txt
%changelog
* Tue Aug 07 2012 Elan Ruusamäe <glen@delfi.ee> 9e5ccce
- use virtual php extension deps (to be independant of php version)
- release 3 (by relup.sh)

* Wed Jul 28 2010 Elan Ruusamäe <glen@pld-linux.org> a7a6478
- update to 1.1

* Wed Jul 21 2010 Elan Ruusamäe <glen@pld-linux.org> ccaa98b
- release 1

* Wed Jul 14 2010 Elan Ruusamäe <glen@pld-linux.org> 873af4f
- fix return when no forums are accessible

* Wed Jul 14 2010 Elan Ruusamäe <glen@pld-linux.org> 74b685f
- fix forum_id filter, closes also restriction skip on THISONE filter (i did not check acl)

* Wed Jul 14 2010 Elan Ruusamäe <glen@pld-linux.org> b090e81
- fix sphinx api

* Tue Jun 15 2010 Elan Ruusamäe <glen@pld-linux.org> f98551b
- new default port

* Tue Jun 15 2010 Elan Ruusamäe <glen@pld-linux.org> cca951a
- root mail default

* Tue Jun 15 2010 Elan Ruusamäe <glen@pld-linux.org> 5daac6f
- add sample crontab

* Tue Jun 15 2010 Elan Ruusamäe <glen@pld-linux.org> d977708
- readme updates

* Tue Jun 15 2010 Elan Ruusamäe <glen@pld-linux.org> 4671c88
- sphinx.conf is source, no need to patch

* Mon Jun 14 2010 Elan Ruusamäe <glen@pld-linux.org> 2f16a3f
- address/port are deprecated

* Mon Jun 14 2010 Elan Ruusamäe <glen@pld-linux.org> a0cc50b
- typo

* Mon Jun 14 2010 Elan Ruusamäe <glen@pld-linux.org> 2df9d87
- revamp config

* Mon Jun 14 2010 Elan Ruusamäe <glen@pld-linux.org> 406e0b8
- cleanup junk in code

* Mon Jun 14 2010 Elan Ruusamäe <glen@pld-linux.org> fbdb59c
- unify index names (deltas end with _d)

* Mon Jun 14 2010 Elan Ruusamäe <glen@pld-linux.org> 6ee9ad5
- requires sphinx api (pecl or pure php)

* Wed Apr 14 2010 Elan Ruusamäe <glen@pld-linux.org> 1b1ac04
- add sphinx conf. kind of works here

* Wed Apr 14 2010 Elan Ruusamäe <glen@pld-linux.org> 681f86b
- error reporing properly
- add sph_counter table structure from doc

* Wed Apr 14 2010 Elan Ruusamäe <glen@pld-linux.org> 5b0aa74
- md5

